@font-face {
  font-family: Poppins;
  src: url("../../assets/fonts/Poppins-Regular.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: Poppins;
  src: url("../../assets/fonts/Poppins-Light.woff2") format("woff2");
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: Poppins;
  src: url("../../assets/fonts/Poppins-Medium.woff2") format("woff2");
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: Poppins;
  src: url("../../assets/fonts/Poppins-SemiBold.woff2") format("woff2");
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: Poppins;
  src: url("../../assets/fonts/Poppins-Bold.woff2") format("woff2");
  font-weight: 900;
  font-display: swap;
}

body {
  font-family: var(--anrt-font-primary);
  font-size: var(--anrt-font-size-default);
  line-height: var(--anrt-line-height-default);
}

h1 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h1);
}
h2 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h2);
  font-weight: 400;
}
h3 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h3);
}
h4 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h4);
}
h5 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h5);
}
h6 {
  margin-bottom: var(--anrt-spacing-133);
  font-size: var(--anrt-font-size-h6);
}

/*
 * Named font styles
 * @see Figma designs
 */

.font-body-default {
  font-size: var(--anrt-font-size-100);
  font-weight: 400;
  line-height: var(--anrt-line-height-large);
}

.font-body-reg {
  font-size: var(--anrt-font-size-100);
  font-weight: 300;
}

.font-body-small {
  font-size: var(--anrt-font-size-087);
  font-weight: 400;
}

.font-cta-reg {
  font-size: var(--anrt-font-size-100);
  font-weight: 400;
  line-height: var(--anrt-font-size-112);
}

.font-title-impact-heavy {
  font-size: var(--anrt-font-size-250);
  font-weight: 800;
  line-height: var(--anrt-spacing-200);
}

.font-title-medium {
  font-size: var(--anrt-font-size-150);
  font-weight: 500;
  line-height: 28px;
}

.font-intro-highlight {
  font-size: var(--anrt-font-size-125);
  font-weight: 600;
  line-height: var(--anrt-font-size-175);
}

.font-section-title {
  font-size: var(--anrt-font-size-125);
  font-weight: 600;
}

.font-title-small {
  font-size: var(--anrt-font-size-100);
  font-weight: 600;
}

.font-color-white {
  color: var(--anrt-color-white);

  & :where(a) {
    color: var(--anrt-color-white);
  }
}

.font-color-default {
  color: var(--anrt-color-text);

  & :where(a) {
    color: var(--anrt-color-link);
  }
}
